Problem with Ioncube Loader

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Problem with Ioncube Loader

Postby andybv » 20. December 2008 09:20

I can't install ioncube loader on xampp :(
I added in php.ini:
zend_extension_ts = "C:\xampp\htdocs\ioncube\ioncube_loader_win_5.2.dll" after other zend extension and it dosn't work:(
When I get on site appears Site error: the file C:\xampp\htdocs\system\core\System.php requires the ionCube PHP Loader ioncube_loader_win_5.2.dll to be installed by the site administrator. :(

pleasee help :?
andybv
 
Posts: 1
Joined: 20. December 2008 09:10

Re: Problem with Ioncube Loader

Postby Sharley » 20. December 2008 10:41

andybv wrote:...I added in php.ini:...
Which php.ini file?

http://localhost and click on phpinfo() link.
Look for line Loaded Configuration File which will tell you the php.ini file in use.

BTW I believe that your line of code should be the first line in the [Zend] block not the last according to "how to" articles I have read.

Make sure you restart Apache after editing the correct php.ini file.
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
Operating System: Win 7 Pro 32bit/XP Pro SP3

Re: Problem with Ioncube Loader

Postby salenegotin » 07. January 2009 13:19

zend_extension_ts = "C:\xampp\htdocs\ioncube\ioncube_loader_win_5.2.dll" line MUST bi added before any other zend line!
salenegotin
 
Posts: 1
Joined: 07. January 2009 13:13

Re: Problem with Ioncube Loader

Postby dmphotography » 07. January 2009 14:30

salenegotin wrote:zend_extension_ts = "C:\xampp\htdocs\ioncube\ioncube_loader_win_5.2.dll" line MUST bi added before any other zend line!


And also, if you do not overwrite the other zend_extension_ts line, then you must comment it out.
Your code should look like this depending on what directory your ioncube loader is in.

Code: Select all
[Zend]

zend_extension_ts = "C:\xampp\htdocs\ioncube\ioncube_loader_win_5.2.dll"
;zend_extension_ts = "C:\xampp\php\zendOptimizer\lib\ZendExtensionManager.dll"
zend_extension_manager.optimizer_ts = "C:\xampp\php\zendOptimizer\lib\Optimizer"
zend_optimizer.enable_loader = 0
zend_optimizer.optimization_level=15
;zend_optimizer.license_path =
; Local Variables:
; tab-width: 4
; End:


I'm guessing you're trying to install a video script or something like that. If so and you are also needing to install the ffmpeg, mplayer, mencoder, and ffmpeg-php, then take a look at my tutorial on it. I made both a written and a video tutorial at http://www.imgoingtoreportyou.com/phpBB3/viewtopic.php?f=19&t=122. At this point, I cannot get a video script to work in Server 2003 due to system differences and I don't know where to look to fix them. It works fine on Vista 32 & 64 bit as well as XP.
For great video and written tutorials and guides on creating your own web server and installing things such as forums, blogs, etc., visit http://myownhomeserver.com
dmphotography
 
Posts: 191
Joined: 15. December 2008 14:25
Location: Columbus, MS
Operating System: Windows 7

Re: Problem with Ioncube Loader

Postby w4vy » 12. January 2009 20:44

Hi, I don't know if this helps but this is from my PHP.ini from inside the apache bin folder X:/xampp/apache/bin/

Code: Select all
[Zend]
zend_extension_ts = "X:\xampp\ioncube\ioncube_loader_win_5.2.dll"
zend_extension_ts = "X:\xampp\php\zendOptimizer\lib\ZendExtensionManager.dll"
zend_extension_manager.optimizer_ts = "X:\xampp\php\zendOptimizer\lib\Optimizer"
zend_optimizer.enable_loader = 1
zend_optimizer.optimization_level=15
;zend_optimizer.license_path =
; Local Variables:
; tab-width: 4
; End:


As you can see I have not commented out the 2nd line for the ZendExtentionManager and I do not see any problems.

This is from my phpinfo page which tells me they are all loaded and running.

Code: Select all
This program makes use of the Zend Scripting Language Engine:
Zend Engine v2.2.0, Copyright (c) 1998-2008 Zend Technologies
    with eAccelerator v0.9.5.3, Copyright (c) 2004-2006 eAccelerator, by eAccelerator
    with the ionCube PHP Loader v3.1.32, Copyright (c) 2002-2007, by ionCube Ltd., and
    with Zend Extension Manager v1.2.0, Copyright (c) 2003-2007, by Zend Technologies
    with Zend Optimizer v3.3.3, Copyright (c) 1998-2007, by Zend Technologies


I have the ioncube loaders folder set above the htdocs folder, from inside the xampp folder itself, I may be wrong I'm not sure but I was thinking it would be more secure that way. ?

Anyway I hope this helps and maybe anyone reading could explain why we should comment out the line mentioned before please ;) thank you. :)
Image
User avatar
w4vy
 
Posts: 153
Joined: 04. June 2008 09:58
Location: England

Re: Problem with Ioncube Loader

Postby Izzy » 13. January 2009 01:25

My explanation is that they are 2 different methods of decoding an encoded/obfuscated file and so may interfere or conflict with each other - but as you pointed out you have no issues with how you have configured the php.ini file and if it works for you then that is fine.

The most important issue here was that the ioncube line should be the first line in the [zend] section, then if it is required it will be found before zend tries to decrypt the file first and cause an error.

I think that placing the ioncube files in any location is acceptable so long as you inform the system via the php.ini file of their location - as you did with great success.

BTW, thanks for posting your input on this topic, it is sure to help others. :)
Izzy
 
Posts: 3344
Joined: 25. April 2006 17:06


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 61 guests